<?php

/**
 * Implements hook_drush_command().
 */
function recommender_drush_command() {
  $items = array();
  $items['recommender-run'] = array(
    'description' => "Process recommender commands sequentially. You need to submit a command in the admin interface first.",
    //'aliases' => array('rr'),
  );
  return $items;
}

/**
 * Implementation of hook_drush_help().
 */
function recommender_drush_help($section) {
  switch ($section) {
    case 'drush:recommender-run':
      return dt("Process recommender commands sequentially.");
  }
}


function drush_recommender_run() {
  $count = 0;
  while ($record = computing_claim('recommender')) {
    drush_log("Processing recommender computation: {$record->id}", 'status');
    recommender_process_record($record);
    computing_update($record);
    $count++;
  };
  drush_log("Processed $count recommender tasks.", 'ok');
}
